org.hibernate.validator.internal.engine.messageinterpolation.parser

## Interface ParserState

- All Known Implementing Classes:
    BeginState, ELState, EscapedState, InterpolationTermState, MessageState

      public interface ParserState

  Interface defining the different methods a parser state has to respond to. It is up to the implementing state to decide how to handle the different life cycle and callback methods
  Author:
    Hardy Ferentschik

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleBeginTerm(char character, TokenCollector tokenCollector)`
    `void` | `handleELDesignator(char character, TokenCollector tokenCollector)`
    `void` | `handleEndTerm(char character, TokenCollector tokenCollector)`
    `void` | `handleEscapeCharacter(char character, TokenCollector tokenCollector)`
    `void` | `handleNonMetaCharacter(char character, TokenCollector tokenCollector)`
    `void` | `start(TokenCollector tokenCollector)`
    `void` | `terminate(TokenCollector tokenCollector)`

- - ### Method Detail

    - #### start

          void start(TokenCollector tokenCollector)
                     throws MessageDescriptorFormatException

      Throws:
        `MessageDescriptorFormatException`

    - #### terminate

          void terminate(TokenCollector tokenCollector)
                         throws MessageDescriptorFormatException

      Throws:
        `MessageDescriptorFormatException`

    - #### handleNonMetaCharacter

          void handleNonMetaCharacter(char character,
                                    TokenCollector tokenCollector)
                                      throws MessageDescriptorFormatException

      Throws:
        `MessageDescriptorFormatException`

    - #### handleBeginTerm

          void handleBeginTerm(char character,
                             TokenCollector tokenCollector)
                               throws MessageDescriptorFormatException

      Throws:
        `MessageDescriptorFormatException`

    - #### handleEndTerm

          void handleEndTerm(char character,
                           TokenCollector tokenCollector)
                             throws MessageDescriptorFormatException

      Throws:
        `MessageDescriptorFormatException`

    - #### handleEscapeCharacter

          void handleEscapeCharacter(char character,
                                   TokenCollector tokenCollector)
                                     throws MessageDescriptorFormatException

      Throws:
        `MessageDescriptorFormatException`

    - #### handleELDesignator

          void handleELDesignator(char character,
                                TokenCollector tokenCollector)
                                  throws MessageDescriptorFormatException

      Throws:
        `MessageDescriptorFormatException`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved